//=========================================================================
//Copyright LizardOfOz.
//=========================================================================

function SetConvars()
{
    Convars.SetValue("tf_weapon_criticals", 1);
    Convars.SetValue("mp_teams_unbalance_limit", 0);
    Convars.SetValue("tf_classlimit", 0);
    Convars.SetValue("tf_dropped_weapon_lifetime", 0);
    Convars.SetValue("mp_scrambleteams_auto", 0);
    Convars.SetValue("mp_scrambleteams_auto_windifference", 99999);
    Convars.SetValue("mp_winlimit", 0);
    Convars.SetValue("mp_maxrounds", 0);
    Convars.SetValue("mp_humans_must_join_team", "blue");
}
SetConvars();

function SpawnHelperEntities()
{
    local gamerules = Entities.FindByClassname(null, "tf_gamerules");

    local teamFilterZombies = SpawnEntityFromTable("filter_activator_tfteam", {
        Negated = 0,
        TeamNum = infection ? 2 : 3,
        targetname = "filter_team_zombies",
    })

    local teamFilterSurvivors = SpawnEntityFromTable("filter_activator_tfteam", {
        Negated = 0,
        TeamNum = infection ? 3 : 2,
        targetname = "filter_team_survivors",
    })

    local forceRespawn = Entities.FindByClassname(null, "game_forcerespawn");
    if (forceRespawn == null)
        SpawnEntityFromTable("game_forcerespawn", {});

    local feedbackRelay = SpawnEntityFromTable("logic_relay", {
        targetname = "TF2M_FeedbackRoundRelay",
        spawnflags = 0,
        "OnTrigger": vscript_name+",RunScriptCode,StartFeedbackRound(),0,-1",
    });

    feedbackRelay.ValidateScriptScope();
    feedbackRelay.GetScriptScope().Tick <- function()
    {
        if (vscript.IsValidRound())
            vscript.FireListeners("tick_frame", null);
        return 0;
    }
    AddThinkToEnt(feedbackRelay, "Tick")
}
SpawnHelperEntities();
