//=========================================================================
//Copyright LizardOfOz.
//=========================================================================

ClearGameEventCallbacks();

vscript_dir <- "zombiehorde";

::vscript <- this;
if(self.GetName() == "")
    self.KeyValueFromString("targetname", "logic_script_horde");
::vscript_name <- self.GetName();
::vscript_entity <- self;

::infection <- true;

::zombies_N <- 10;

//This hack allows to detect when a melee weapon hits the world
::worldSpawn <- Entities.FindByClassname(null, "worldspawn");
NetProps.SetPropInt(worldSpawn, "m_takedamage", 1);

IncludeScript(vscript_dir+"/util/netprops.nut");
IncludeScript(vscript_dir+"/util/constants.nut");
IncludeScript(vscript_dir+"/util/listeners.nut");
IncludeScript(vscript_dir+"/util/player_util.nut");
IncludeScript(vscript_dir+"/util/util.nut");
IncludeScript(vscript_dir+"/util/resources.nut");
IncludeScript(vscript_dir+"/util/weapons.nut");
IncludeScript(vscript_dir+"/util/giveweapon_old.nut");
IncludeScript(vscript_dir+"/gamemode/character_changes.nut");
IncludeScript(vscript_dir+"/survivors/survivor_converter.nut");
IncludeScript(vscript_dir+"/zombies/zombie_converter.nut");
IncludeScript(vscript_dir+"/gamemode/round_logic.nut");
IncludeScript(vscript_dir+"/gamemode/gamerules.nut");
IncludeScript(vscript_dir+"/gamemode/game_events.nut");

function OnPostSpawn()
{
    FireListeners("round_start", null);
}