//=========================================================================
//Copyright LizardOfOz.
//=========================================================================

const GLOBAL_WEAPON_COUNT = 10;

::weaponModels <- {
}

::meleeBanlist <- [
];

::IsZombieAllowed <- function(weapon)
{
    if (weapon == null)
        return true;
    if (weapon.GetSlot() == 0)
        return false;
    if (weapon.GetSlot() > 2)
        return true;
    if (weapon.GetSlot() == 2)
        return meleeBanlist.find(weapon) == null;
    local className = weapon.GetClassname();
    if (className == "tf_weapon_buff_item")
        return true;
    if (className.find("tf_weapon_jar") != null)
        return true;
    if (className.find("tf_weapon_lunchbox") != null)
        return true;
    if (className.find("tf_weapon_pda") != null)
        return true;
    if (className.find("tf_weapon_sapper") != null)
        return true;
    if (className.find("tf_weapon_builder") != null)
        return true;
    return false;
}

::WeaponIs <- function(weapon, name)
{
    if (weapon == null)
        return false;
    if (name == "gas_passer")
        return weapon.GetClassname() == "tf_weapon_jar_gas";
    return (name in weaponModels ? weaponModels[name] : null) == GetPropInt(weapon, "m_iWorldModelIndex");
}
